using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace DropDownTreeEditorDefaultValue.Models
{
    public class OrderViewModel
    {
        public int OrderID
        {
            get;
            set;
        }

        public string ShipName
        {
            get;
            set;
        }
        
        [UIHint("EmployeeEditor")]
        public Employee Employee
        {
            get;
            set;
        }

        public int EmployeeID { get; set; }
    }

    public class Employee
    {
        public int EmployeeID { get; set; }
        public int OrderID { get; set; }
        public string EmployeeName { get; set; }
    }
}

